Package org.springframework.security.web.webauthn.management

# Class ImmutablePublicKeyCredentialCreationOptionsRequest

java.lang.Object
org.springframework.security.web.webauthn.management.ImmutablePublicKeyCredentialCreationOptionsRequest

All Implemented Interfaces:
  `PublicKeyCredentialCreationOptionsRequest`

public class ImmutablePublicKeyCredentialCreationOptionsRequest extends Object implements PublicKeyCredentialCreationOptionsRequest
An immutable implementation of `PublicKeyCredentialCreationOptionsRequest`.

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`ImmutablePublicKeyCredentialCreationOptionsRequest(org.springframework.security.core.Authentication authentication)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`getAuthentication()`
The current `Authentication`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImmutablePublicKeyCredentialCreationOptionsRequest

public ImmutablePublicKeyCredentialCreationOptionsRequest(org.springframework.security.core.Authentication authentication)

## Method Details

### getAuthentication

public org.springframework.security.core.Authentication getAuthentication()
Description copied from interface: `PublicKeyCredentialCreationOptionsRequest`
The current `Authentication`. It must be authenticated to associate the credential to a user.

Specified by:
  `getAuthentication` in interface `PublicKeyCredentialCreationOptionsRequest`
Returns:
  the `Authentication` to use.